<?php

//Sécurité
if(!$_SESSION['accreditation']=="Administrateur" && !$_SESSION['accreditation']=="Etudiant")
header('Location:../index.php');

//Connexion à la BdD
include "session/connexion.php";

$groupes=$objPdo->prepare('SELECT * FROM groupe'); // ORDER BY libelle_groupe ?
$groupes->execute();

//$_SESSION['message']=null; //initialisation de la variable
?>

<!DOCTYPE html>
<html>

<head>

<meta charset="UTF-8" />
	
    <script type="text/javascript">
	
//Fonction cachant les élements de la requête précédente tant que bouton non cliqué
    function visibilite(thingId)
	{
		var targetElement;
		targetElement = document.getElementById(thingId) ;
	if (targetElement.style.display == "none")
	{
		targetElement.style.display = "" ;
	} else {
		targetElement.style.display = "none" ;
	}
	}
	
	</script>
	
    <title>Trombinoscope</title>
	
</head>

<body>

<div id="contenu">

<h3>Groupes d'étudiants déjà présents</h3>

<?php 
	
		//if($groupes->fetch()==0)

		//echo "<span class='ff6347'>Aucun groupe n'est présent !</span>";	

	
echo "<ul>";
$i=0;
while($rowGroupes=$groupes->fetch()) //Affichage des étudiants groupe par groupe
{
        
    $etudiants=$objPdo->prepare('SELECT * FROM etudiant WHERE no_groupe="' . $rowGroupes['no_groupe'] .'" ORDER BY nom_etu, prenom_etu');
	$etudiants->execute();

	
echo //Génération dynamique de chaque ligne dans l'odre : btn_groupe - btn_modif - btn_suppr
"<li>

	<a class='affgroupe' href='#' title='Afficher groupe' onclick=\"javascript:visibilite('id_div_$i'); return false;\">".$rowGroupes['libelle_groupe'] ."</a> 
	
    &nbsp;&nbsp;&nbsp;&nbsp;
	
	<a class='modsuppr' title='Modifier groupe' href='administrateur/mod.php?Groupe=" . $rowGroupes['no_groupe'] ."&Libelle=".	$rowGroupes['libelle_groupe'] ."'>[Modifier groupe]</a>
	
	&nbsp;-&nbsp;&nbsp;
	
	<a class='modsuppr' title='Supprimer groupe' href='administrateur/suppr.php?Groupe=" . $rowGroupes['no_groupe'] ."'>[Supprimer groupe]</a><br /><br /></li>
	
 <div id='id_div_$i' style='display:none;'> <!-- div contenant les noms/prenoms/adresses_imgs des étudiants d'un groupe -->
	
<table>";
	
$nbrEtuParLigne=1;
$finligne=4;

    while($rowEtudiants=$etudiants->fetch())
    {
		if($nbrEtuParLigne==0) //Si aucun étudiant déjà affiché, les affiches
			echo "<tr>";
    $img = $rowEtudiants['image_etu'];
        echo "<td>";
    print($rowEtudiants['nom_etu']);        
        echo "</td><td>";
    print($rowEtudiants['prenom_etu']);
        echo "</td><td>";
		
        if(file_exists("etudiant/img/".$img)) //Vérification si image associée à l'étudiant existe pour l'afficher redimmensionnée
		{
               echo "<img height='100px' width='100px' src='etudiant/img/" .$img . "'></img>&nbsp;&nbsp;&nbsp;<br />";
		}
        else
        {
               echo "<img height='100px' width='100px' src='etudiant/img/no-avatar.jpg'></img><br />"; //Si inexistance, affichage de l'image par défaut
        }
        echo "</td>";
		
	
	
	if($nbrEtuParLigne==$finligne) //4 étudiants max/ligne
	{
		$finligne = ($nbrEtuParLigne+4);
		echo "</tr>";
	}

	$nbrEtuParLigne++;

	
}

echo "</table></div>"; //(fermeture du tableau)
$i++;

}
echo "</ul>";

?>
</div>

</body>

</html>